<?php
/*
Plugin Name:  Free Shipping WooCommerce Only
Plugin URI:   https://www.limaweb.nl/downloads/
Description:  Hide all other shipment methods when free shipping is available.
Version:      1.0
Author:       LimaWeb
Author URI:   https://www.limaweb.nl/
License:      GPL2
License URI:  https://www.gnu.org/licenses/gpl-2.0.html
*/

function my_hide_shipping_when_free_is_available($rates)
{
    $free = array();

    foreach ($rates as $rate_id => $rate) {
        if ('free_shipping' === $rate->method_id) {
            $free[$rate_id] = $rate;
            break;
        }
    }

    return ! empty($free) ? $free : $rates;
}

add_filter('woocommerce_package_rates', 'my_hide_shipping_when_free_is_available', 100);
